Skip to content
This repository has been archived by the owner. It is now read-only.

`npm list --depth=x` regression in npm 1.4.x #4842

Closed
yyx990803 opened this Issue Mar 6, 2014 · 4 comments

Comments

Projects
None yet
5 participants
@yyx990803
Copy link
Contributor

yyx990803 commented Mar 6, 2014

Just upgrade Node to 0.10.26 with npm 1.4.3, and npm list --depth=0 no longer works (always prints entire nested dependency tree). Reverted back to Node v0.10.25 with npm 1.3.24 and --depth option works properly again.

@mdi

This comment has been minimized.

Copy link

mdi commented Mar 27, 2014

I see the same problem.

@marcolino

This comment has been minimized.

Copy link

marcolino commented Mar 30, 2014

Me too... :-(

@Rowno

This comment has been minimized.

Copy link

Rowno commented May 9, 2014

The --depth option works again for me in npm 1.4.9

@yyx990803

This comment has been minimized.

Copy link
Contributor Author

yyx990803 commented May 9, 2014

Yes, confirmed working again after upgrading to 1.4.9.

@yyx990803 yyx990803 closed this May 9, 2014

@othiym23 othiym23 added the bug label Sep 24, 2014

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
You can’t perform that action at this time.